astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Data Tables (`astropy.table`) »
- Row

# Row

class `astropy.table.table.``Row`(table, index)

  Bases: `object`

  A class to represent one row of a Table object.

  A Row object is returned when a Table object is indexed with an integer or when iterating over a table:

      >>> table = Table([(1, 2), (3, 4)], names=('a', 'b'),
      ...               dtype=('int32', 'int32'))
      >>> row = table[1]
      >>> row
      <Row 1 of table
       values=(2, 4)
       dtype=[('a', '<i4'), ('b', '<i4')]>
      >>> row['a']
      2
      >>> row[1]
      4

  Attributes Summary

  `colnames` |
  `columns` |
  `data` |
  `dtype` |
  `dtypes` | Deprecated since version 0.3.
  `index` |
  `meta` |
  `table` |

  Attributes Documentation

  `colnames`
  `columns`
  `data`
  `dtype`
  `dtypes`

    Deprecated since version 0.3: Use `Row.dtype` instead.

  `index`
  `meta`
  `table`